com.holonplatform.datastore.jdbc.composer.internal

## Class DefaultSQLType

- java.lang.Object
- - com.holonplatform.datastore.jdbc.composer.internal.DefaultSQLType

- All Implemented Interfaces:
    SQLType, Serializable

      public class DefaultSQLType
      extends Object
      implements SQLType

  Default `SQLType` implementation.
  Since:
    5.1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSQLType(int type, String name)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getName()` Get the optional type name.
    `int` | `getType()` Get the SQL type id.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.SQLType

      `create, create`

- - ### Constructor Detail

    - #### DefaultSQLType

          public DefaultSQLType(int type,
                                String name)

      Constructor
      Parameters:
        `type` - Type id
        `name` - Optional type name

  - ### Method Detail

    - #### getType

          public int getType()

      Description copied from interface: `SQLType`
      Get the SQL type id.
      Specified by:
        `getType` in interface `SQLType`
      Returns:
        the SQL type id
      See Also:
        `Types`

    - #### getName

          public Optional<String> getName()

      Description copied from interface: `SQLType`
      Get the optional type name.
      Specified by:
        `getName` in interface `SQLType`
      Returns:
        optional type name

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019 The Holon Platform. All rights reserved.